summaryrefslogtreecommitdiffstats
path: root/libraries/spandsp
diff options
context:
space:
mode:
author Lockywolf <for_sbo.spandsp_2023-07-10@lockywolf.net>2023-07-15 11:53:51 +0900
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-07-15 17:30:06 +0700
commit1d100077c53d5ab90571057103d6b22865cc806f (patch)
tree931a3cbed1a460e5fbdf685b8d3e9810a8c44a2c /libraries/spandsp
parent7c24012474a30d64ec1950affb37c0d7f4dc8195 (diff)
downloadslackbuilds-1d100077c53d5ab90571057103d6b22865cc806f.tar.gz
slackbuilds-1d100077c53d5ab90571057103d6b22865cc806f.tar.xz
libraries/spandsp: Added (signal processing library).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/spandsp')
-rw-r--r--libraries/spandsp/README5
-rw-r--r--libraries/spandsp/slack-desc19
-rw-r--r--libraries/spandsp/spandsp.SlackBuild118
-rw-r--r--libraries/spandsp/spandsp.info10
4 files changed, 152 insertions, 0 deletions
diff --git a/libraries/spandsp/README b/libraries/spandsp/README
new file mode 100644
index 0000000000..7408c9079b
--- /dev/null
+++ b/libraries/spandsp/README
@@ -0,0 +1,5 @@
+SpanDSP is a library of DSP functions for telephony, in the 8000
+sample per second world of E1s, T1s, and higher order PCM channels.
+It contains low level functions, such as basic filters. It also
+contains higher level functions, such as cadenced supervisory tone
+detection, and a complete software FAX machine.
diff --git a/libraries/spandsp/slack-desc b/libraries/spandsp/slack-desc
new file mode 100644
index 0000000000..37c8ac4bc7
--- /dev/null
+++ b/libraries/spandsp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+spandsp: spandsp (low-level signal processing library)
+spandsp:
+spandsp: SpanDSP is a library of DSP functions for telephony, in the 8000
+spandsp: sample per second world of E1s, T1s, and higher order PCM channels.
+spandsp: It contains low level functions, such as basic filters. It also
+spandsp: contains higher level functions, such as cadenced supervisory tone
+spandsp: detection, and a complete software FAX machine.
+spandsp:
+spandsp:
+spandsp:
+spandsp:
diff --git a/libraries/spandsp/spandsp.SlackBuild b/libraries/spandsp/spandsp.SlackBuild
new file mode 100644
index 0000000000..191ecaa38c
--- /dev/null
+++ b/libraries/spandsp/spandsp.SlackBuild
@@ -0,0 +1,118 @@
+#!/bin/bash
+
+# Slackware build script for spandsp
+
+# Copyright 2023, Lockywolf
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=spandsp
+VERSION=${VERSION:-0.0.6_0d2e6a}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+COMMIT=0d2e6ac65e0e8f53d652665a743015a88bf048d4
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$COMMIT
+tar xvf $CWD/$PRGNAM-$COMMIT.tar.gz
+cd $PRGNAM-$COMMIT
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+autoreconf -i
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+
+make
+make install DESTDIR=$PKG
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+AUTHORS NEWS \
+COPYING README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/spandsp/spandsp.info b/libraries/spandsp/spandsp.info
new file mode 100644
index 0000000000..8e22c38f73
--- /dev/null
+++ b/libraries/spandsp/spandsp.info
@@ -0,0 +1,10 @@
+PRGNAM="spandsp"
+VERSION="0.0.6_0d2e6a"
+HOMEPAGE="https://github.com/freeswitch/spandsp"
+DOWNLOAD="https://github.com/freeswitch/spandsp/archive/0d2e6a/spandsp-0d2e6ac65e0e8f53d652665a743015a88bf048d4.tar.gz"
+MD5SUM="632a1a4991d9cf6ca6fb484d423169a6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="fltk"
+MAINTAINER="Lockywolf"
+EMAIL="for_sbo.spandsp_2023-07-10@lockywolf.net"